Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001921TestLinkRequirement Managementpublic2008-12-10 18:062009-01-20 05:19
Reporterdzko 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 RC 1 
Fixed in Version1.8 RC 3 
Summary0001921: Problem with Requirements attachments after migration
DescriptionProblem is related with this one
http://www.testlink.org/mantis/view.php?id=1885 [^]
which was solved with new migrate_17_to_18.php file version
and in fact it is database related problem.
Situation is that after migration Requirements ID is changed for all Requirements in 'requirements' table (begins with 5329 now), but here we do not have any changes in fk_id field in 'attachments' table.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Fileszip file icon fix-1921.zip [^] (2,658 bytes) 2008-12-11 15:43

- Relationships

-  Notes
(0004818)
dzko (reporter)
2008-12-10 18:11
edited on: 2008-12-10 18:13

It seems that problem is regarding Requirements attachments only. With other attachments seems that other elements ID's are not changed and so everything is fine. And sorry - begins with 5320.

(0004833)
fman (administrator)
2008-12-11 15:43

Please use attached fix, and let us know if everything is ok, in order to set to resolved.
(0004865)
fman (administrator)
2008-12-18 01:24

Please give feedback, we need to close

- Issue History
Date Modified Username Field Change
2008-12-10 18:06 dzko New Issue
2008-12-10 18:11 dzko Note Added: 0004818
2008-12-10 18:13 dzko Note Edited: 0004818
2008-12-11 01:36 fman Status new => assigned
2008-12-11 01:36 fman Assigned To => fman
2008-12-11 15:43 fman File Added: fix-1921.zip
2008-12-11 15:43 fman Note Added: 0004833
2008-12-11 15:44 fman Status assigned => feedback
2008-12-18 01:24 fman Note Added: 0004865
2008-12-22 19:31 fman Status feedback => resolved
2008-12-22 19:31 fman Fixed in Version => next development 1.8 RC3
2008-12-22 19:31 fman Resolution open => fixed
2009-01-20 05:19 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker